Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Inout_Fixed_Size_Argument_T< S > Class Template Reference

Template class for INOUT stub argument of fixed size IDL types. More...

`#include <Fixed_Size_Argument_T.h>`

Inheritance diagram for TAO::Inout_Fixed_Size_Argument_T< S >:

[legend]
Collaboration diagram for TAO::Inout_Fixed_Size_Argument_T< S >:

[legend]
List of all members.

## Public Methods
| Inout_Fixed_Size_Argument_T (S &x)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S & | arg (void)
## Private Attributes
S * | x_

## Detailed Description

### template<typename S>
class TAO::Inout_Fixed_Size_Argument_T< S >

Template class for INOUT stub argument of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S>
ACE_INLINE TAO::Inout_Fixed_Size_Argument_T< S >::Inout_Fixed_Size_Argument_T | ( | S & | x | ) |

## Member Function Documentation

template<typename S>
ACE_INLINE S & TAO::Inout_Fixed_Size_Argument_T< S >::arg | ( | void |  | ) |

template<typename S>
CORBA::Boolean TAO::Inout_Fixed_Size_Argument_T< S >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
void TAO::Inout_Fixed_Size_Argument_T< S >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
CORBA::Boolean TAO::Inout_Fixed_Size_Argument_T< S >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S>
S* TAO::Inout_Fixed_Size_Argument_T< S >::x_`[private]`

The documentation for this class was generated from the following files:

- Fixed_Size_Argument_T.h
- Fixed_Size_Argument_T.cpp
- Fixed_Size_Argument_T.inl